Configuration requise pour le .NET Framework.NET Framework system requirements

Les tableaux de cette rubrique indiquent la configuration matérielle et logicielle requise, ainsi que celle du système d'exploitation pour les versions .NET Framework suivantes :The tables in this topic provide the hardware, operating system, and software requirements for the following .NET Framework versions:

  • .NET Framework 4.5 et ses versions intermédiaires (4.5.1 et 4.5.2)..NET Framework 4.5 and its point releases (4.5.1 and 4.5.2).
  • .NET Framework 4.6 et ses versions intermédiaires (4.6.1 et 4.6.2)..NET Framework 4.6 and its point releases (4.6.1 and 4.6.2).
  • .NET Framework 4.7 et ses versions intermédiaires (4.7.1 et 4.7.2)..NET Framework 4.7 and its point releases (4.7.1 and 4.7.2).

Pour plus d’informations sur les versions .NET Framework antérieures à .NET Framework 4.5, consultez Versions et dépendances de .NET Framework.For information on .NET Framework versions earlier than .NET Framework 4.5, see .NET Framework versions and dependencies.

Les environnements de développement qui vous permettent de développer des applications pour le .NET Framework ont des exigences différentes.Development environments that enable you to develop apps for the .NET Framework have a separate set of requirements.

Important

Toutes les versions .NET Framework depuis la version .NET Framework 4 sont des mises à jour sur place, donc une seule version 4.x peut être présente sur un système.All .NET Framework versions since .NET Framework 4 are in-place updates, so only a single 4.x version can be present on a system. En outre, des versions .NET Framework spécifiques sont pré-installées sur certaines versions du système d’exploitation Windows.In addition, particular versions of the .NET Framework are pre-installed on some versions of the Windows operating system. Cela signifie que :This means that:

  • Si une version 4.x ultérieure est déjà installée sur l’ordinateur, vous ne pouvez pas installer une version 4.x précédente.If there's a later 4.x version installed on the machine already, you can't install a previous 4.x version.
  • Si une version .NET Framework spécifique est pré-installée sur le système d’exploitation, vous ne pouvez pas installer une version 4.x précédente sur le même ordinateur.If the OS comes pre-installed with a particular .NET Framework version, you can't install a previous 4.x version on the same machine.
  • Si vous installez une version ultérieure, il est inutile de désinstaller d’abord la version précédente.If you install a later version, you don't have to first uninstall the previous version.

Pour obtenir des informations et des liens pour le téléchargement, consultez Installer le .NET Framework pour les développeurs.For download information and links, see Install the .NET Framework for developers.

Pour plus d’informations sur le cycle de vie du support des versions du .NET Framework, consultez Cycle de vie de support des produits Microsoft.For information on the support lifecycle of .NET Framework versions, see Microsoft Support Lifecycle.

Configuration matérielle requiseHardware requirements

ProcesseurProcessor 1 GHz1 GHz
Mémoire viveRAM 512 Mo512 MB
Espace disque (minimum)Disk space (minimum)
32 bits32-bit 4,5 Go4.5 GB
64 bits64-bit 4,5 Go4.5 GB

Configuration requise pour l’installationInstallation requirements

L’installation du .NET Framework nécessite des privilèges d’administrateur.The .NET Framework requires administrator privileges for installation. Si vous n’avez pas de droits d’administrateur sur l’ordinateur sur lequel vous voulez installer le .NET Framework, contactez votre administrateur réseau.If you don't have administrator rights to the computer where you'd like to install the .NET Framework, contact your network administrator.

Systèmes d'exploitation clients pris en chargeSupported client operating systems

Système d'exploitationOperating system Éditions prises en chargeSupported editions Préinstallé avec le système d'exploitationPreinstalled with the OS Installable séparémentInstallable separately
Windows 10 avec la mise à jour d’octobre 2018Windows 10 October 2018 Update 32 bits et 64 bits32-bit and 64-bit .NET Framework 4.7.2.NET Framework 4.7.2 --
Mise à jour d’avril 2018 de Windows 10Windows 10 April 2018 Update 32 bits et 64 bits32-bit and 64-bit .NET Framework 4.7.2.NET Framework 4.7.2 --
Windows 10 Fall Creators UpdateWindows 10 Fall Creators Update 32 bits et 64 bits32-bit and 64-bit .NET Framework 4.7.1.NET Framework 4.7.1 .NET Framework 4.7.2.NET Framework 4.7.2
Windows 10 Creators UpdateWindows 10 Creators Update 32 bits et 64 bits32-bit and 64-bit .NET Framework 4.7.NET Framework 4.7 .NET Framework 4.7.1.NET Framework 4.7.1

.NET Framework 4.7.2.NET Framework 4.7.2
Mise à jour anniversaire Windows 10Windows 10 Anniversary Update 32 bits et 64 bits32-bit and 64-bit .NET Framework 4.6.2.NET Framework 4.6.2 .NET Framework 4.7.NET Framework 4.7

.NET Framework 4.7.1.NET Framework 4.7.1

.NET Framework 4.7.2.NET Framework 4.7.2
Mise à jour de novembre de Windows 10Windows 10 November Update 32 bits et 64 bits32-bit and 64-bit .NET Framework 4.6.1.NET Framework 4.6.1 .NET Framework 4.6.2.NET Framework 4.6.2
Windows 10Windows 10 32 bits et 64 bits32-bit and 64-bit .NET Framework 4.6.NET Framework 4.6 .NET Framework 4.6.1.NET Framework 4.6.1

.NET Framework 4.6.2.NET Framework 4.6.2
Windows 8.1Windows 8.1 32 bits, 64 bits et ARM32-bit, 64-bit, and ARM .NET Framework 4.5.1.NET Framework 4.5.1 .NET Framework 4.5.2.NET Framework 4.5.2

.NET Framework 4.6.NET Framework 4.6

.NET Framework 4.6.1.NET Framework 4.6.1

.NET Framework 4.6.2.NET Framework 4.6.2

.NET Framework 4.7.NET Framework 4.7

.NET Framework 4.7.1.NET Framework 4.7.1

.NET Framework 4.7.2.NET Framework 4.7.2
Windows 8Windows 8 32 bits, 64 bits et ARM32-bit, 64-bit, and ARM .NET Framework 4.5.NET Framework 4.5 .NET Framework 4.5.1.NET Framework 4.5.1

.NET Framework 4.5.2.NET Framework 4.5.2

.NET Framework 4.6.NET Framework 4.6

.NET Framework 4.6.1.NET Framework 4.6.1
Windows 7 SP1Windows 7 SP1 32 bits et 64 bits32-bit and 64-bit -- .NET Framework 4.NET Framework 4

.NET Framework 4.5.NET Framework 4.5

.NET Framework 4.5.1.NET Framework 4.5.1

.NET Framework 4.5.2.NET Framework 4.5.2

.NET Framework 4.6.NET Framework 4.6

.NET Framework 4.6.1.NET Framework 4.6.1

.NET Framework 4.6.2.NET Framework 4.6.2

.NET Framework 4.7.NET Framework 4.7

.NET Framework 4.7.1.NET Framework 4.7.1

.NET Framework 4.7.2.NET Framework 4.7.2
Windows Vista SP2Windows Vista SP2 32 bits et 64 bits32-bit and 64-bit -- .NET Framework 4.NET Framework 4

.NET Framework 4.5.NET Framework 4.5

.NET Framework 4.5.1.NET Framework 4.5.1

.NET Framework 4.5.2.NET Framework 4.5.2

.NET Framework 4.6.NET Framework 4.6
Windows XPWindows XP 32 bits et 64 bits32-bit and 64-bit -- .NET Framework 4.NET Framework 4

Remarques :Notes:

  • Sur les systèmes Windows 7, le .NET Framework nécessite Windows 7 SP1.On Windows 7 systems, the .NET Framework requires Windows 7 SP1. Si vous êtes sur Windows 7 et que vous n’avez pas encore installé le Service Pack 1, vous devez le faire avant d’installer le .NET Framework.If you're on Windows 7 and haven't yet installed Service Pack 1, you need to do so before installing the .NET Framework.

  • Le .NET Framework 4.5.NET Framework 4.5 est pris en charge sur l'environnement Windows PE (Windows Preinstallation Environment).The .NET Framework 4.5.NET Framework 4.5 is supported on the Windows Preinstallation Environment (Windows PE). Les fonctionnalités ne sont pas toutes prises en charge dans Windows PE.Not all features are supported on Windows PE.

  • .NET Framework 4 prend également en charge la plateforme IA64.The .NET Framework 4 also supports the IA64 platform.

  • Pour toutes les plateformes, nous recommandons d’effectuer une mise à niveau vers le dernier Service Pack Windows et d’installer les mises à jour critiques disponibles à partir du site web Windows Update afin de garantir une compatibilité et une sécurité optimales.For all platforms, we recommend that you upgrade to the latest Windows Service Pack and install critical updates available from the Windows Update website to ensure the best compatibility and security.

  • Sur les systèmes d'exploitation 64 bits, le .NET Framework prend en charge WOW64 (processus 32 bits sur un ordinateur 64 bits) et le processus 64 bits natif.On 64-bit operating systems, the .NET Framework supports both WOW64 (32-bit processing on a 64-bit machine) and native 64-bit processing.

Systèmes d'exploitation serveurs pris en chargeSupported server operating systems

Système d'exploitationOperating system Éditions prises en chargeSupported editions Préinstallé avec le système d'exploitationPreinstalled with the OS Installable séparémentInstallable separately
Windows Server, version 1803Windows Server, version 1803 64 bits64-bit .NET Framework 4.7.2.NET Framework 4.7.2 --
Windows Server, version 1709Windows Server, version 1709 64 bits64-bit .NET Framework 4.7.1.NET Framework 4.7.1 .NET Framework 4.7.2.NET Framework 4.7.2
Windows Server 2016Windows Server 2016 64 bits64-bit .NET Framework 4.6.2.NET Framework 4.6.2 .NET Framework 4.7.NET Framework 4.7

.NET Framework 4.7.1.NET Framework 4.7.1

.NET Framework 4.7.2.NET Framework 4.7.2
Windows Server 2012 R2Windows Server 2012 R2 64 bits64-bit .NET Framework 4.5.1.NET Framework 4.5.1 .NET Framework 4.5.2.NET Framework 4.5.2

.NET Framework 4.6.NET Framework 4.6

.NET Framework 4.6.1.NET Framework 4.6.1

.NET Framework 4.6.2.NET Framework 4.6.2

.NET Framework 4.7.NET Framework 4.7

.NET Framework 4.7.1.NET Framework 4.7.1

.NET Framework 4.7.2.NET Framework 4.7.2
Windows Server 2012 (édition 64 bits)Windows Server 2012 (64-bit edition) 64 bits64-bit .NET Framework 4.5.NET Framework 4.5 .NET Framework 4.5.1.NET Framework 4.5.1

.NET Framework 4.5.2.NET Framework 4.5.2

.NET Framework 4.6.NET Framework 4.6

.NET Framework 4.6.1.NET Framework 4.6.1

.NET Framework 4.6.2.NET Framework 4.6.2

.NET Framework 4.7.NET Framework 4.7

.NET Framework 4.7.1.NET Framework 4.7.1

.NET Framework 4.7.2.NET Framework 4.7.2
Windows Server 2008 R2 SP1Windows Server 2008 R2 SP1 64 bits64-bit -- .NET Framework 4.NET Framework 4

.NET Framework 4.5.NET Framework 4.5

.NET Framework 4.5.1.NET Framework 4.5.1

.NET Framework 4.5.2.NET Framework 4.5.2

.NET Framework 4.6.NET Framework 4.6

.NET Framework 4.6.1.NET Framework 4.6.1

.NET Framework 4.6.2.NET Framework 4.6.2

.NET Framework 4.7.NET Framework 4.7

.NET Framework 4.7.1.NET Framework 4.7.1

.NET Framework 4.7.2.NET Framework 4.7.2
Windows Server 2008 SP2Windows Server 2008 SP2 32 bits et 64 bits32-bit and 64-bit -- .NET Framework 4.NET Framework 4

.NET Framework 4.5.NET Framework 4.5

.NET Framework 4.5.1.NET Framework 4.5.1

.NET Framework 4.5.2.NET Framework 4.5.2

.NET Framework 4.6.NET Framework 4.6

Remarques :Notes:

  • Windows Server 2012Windows Server 2012 inclut le .NET Framework 4.5.NET Framework 4.5, il n'est donc pas nécessaire de l'installer séparément.includes the .NET Framework 4.5.NET Framework 4.5, so you don't have to install it separately. De même, Windows Server 2012 R2Windows Server 2012 R2 inclut le .NET Framework 4.5.1.NET Framework 4.5.1.Similarly, Windows Server 2012 R2Windows Server 2012 R2 includes the .NET Framework 4.5.1.NET Framework 4.5.1.

  • Le .NET Framework offre une prise en charge limitée du rôle Server Core avec Windows Server 2008 R2 SP1 ou ultérieur.The .NET Framework has limited support for the Server Core Role with Windows Server 2008 R2 SP1 or later. Pour obtenir la liste des API non prises en charge, consultez la fonctionnalité .NET Server Core.See Server Core .NET Functionality for a list of unsupported APIs.

  • Le .NET Framework n’est pas pris en charge sur Windows Server 2008 R2 pour les systèmes Itanium.The .NET Framework isn't supported on Windows Server 2008 R2 for Itanium-Based Systems.

  • Sur Windows Server 2008 SP2, le .NET Framework n’est pas pris en charge dans le rôle principal du serveur.On Windows Server 2008 SP2, the .NET Framework is not supported in the Server Core Role.

  • Pour toutes les plateformes, nous recommandons une mise à niveau vers le dernier Service Pack Windows et le téléchargement des mises à jour critiques disponibles depuis le site web Windows Update afin de garantir une compatibilité et une sécurité optimales.For all platforms, we recommend that you upgrade to the latest Windows Service Pack and critical updates available from the Windows Update website to ensure the best compatibility and security. L'installation du dernier Service Pack Windows peut être obligatoire sur certains systèmes d'exploitation.Installation of the latest Windows Service Pack may be required on some operating systems.

  • Sur les systèmes d'exploitation 64 bits, le .NET Framework prend en charge WOW64 (processus 32 bits sur un ordinateur 64 bits) et le processus 64 bits natif.On 64-bit operating systems, the .NET Framework supports both WOW64 (32-bit processing on a 64-bit machine) and native 64-bit processing.

Voir aussiSee also